{% extends 'admin/base.html.twig' %}

{% block stylesheets %}
    {{ encore_entry_link_tags('app_admin_thesis_complete') }}
{% endblock %}

{% block body %}
    {% include 'admin/views/title.html.twig' with {name: 'Update Thesis', description: 'Update thesis content, seo, query'} %}
    {% include 'admin/views/back_btn.html.twig' with {link: backLink, thesisId: thesisId} %}
    {% include 'admin/views/submenu.html.twig' with {submenu: menu.submenu} %}
    <div class="block" data-controller="admin--thesis--complete--base"
         data-url-load="{{ path('app_admin_thesis_complete_load') }}"
         data-thesis-id="{{ thesisId }}"
    >
        <div class="sub-block">
            <div class="sub-block__title">
                <p class="sub-block__name">Complete</p>
                <p class="sub-block__description">Create thesis queries for autocomplete and search</p>
            </div>
            <div data-admin--thesis--complete--base-target="list"></div>
            <input type="text" class="form__input"/>
            <button class="form__btn btn-green"
                    data-action="admin--thesis--complete--base#createQuery"
                    data-admin--thesis--complete--base-url-param="{{ path('app_admin_thesis_complete_create') }}"
            >Add Query</button>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('app_admin_thesis_complete') }}
{% endblock %}